Package net.shibboleth.shared.servlet.impl

# Class ThreadLocalHttpServletRequestSupplier

java.lang.Object
net.shibboleth.shared.servlet.impl.ThreadLocalHttpServletRequestSupplier

All Implemented Interfaces:
  `Supplier<HttpServletRequest>`, `NonnullSupplier<HttpServletRequest>`

public class ThreadLocalHttpServletRequestSupplier extends Object implements NonnullSupplier<HttpServletRequest>
An implementation of `NonnullSupplier` which looks up the current thread-local servlet request obtained from `HttpServletRequestResponseContext`, raising an `IllegalStateException` if null.

## Constructor Summary

Constructors
Constructor
Description
`ThreadLocalHttpServletRequestSupplier()`

## Method Summary

Modifier and Type
Method
Description
`HttpServletRequest`
`get()`
Get the current HttpServletRequest from ThreadLocal storage.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThreadLocalHttpServletRequestSupplier

public ThreadLocalHttpServletRequestSupplier()

## Method Details

### get

@Nonnull public HttpServletRequest get()
Get the current HttpServletRequest from ThreadLocal storage.

Specified by:
  `get` in interface `NonnullSupplier<HttpServletRequest>`
Specified by:
  `get` in interface `Supplier<HttpServletRequest>`
Returns:
  the current request